> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fincept.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Float Coupon Period

> Create a floating coupon period and return accrual and cashflow [Tier: PRO, Credits: 5]



## OpenAPI

````yaml api-specs/core.json post /quantlib/core/periods/float-coupon
openapi: 3.1.0
info:
  title: FinceptQuantLib API - Core
  description: Core module endpoints for FinceptQuantLib API
  version: 3.0.0
  contact:
    name: Fincept API Support
    url: https://fincept.in
servers:
  - url: https://api.fincept.in
    description: Fincept API Production Server
security:
  - APIKeyHeader: []
tags:
  - name: quantlib-core
    description: API endpoints for core operations
paths:
  /quantlib/core/periods/float-coupon:
    post:
      tags:
        - quantlib-core
      summary: Float Coupon Period
      description: >-
        Create a floating coupon period and return accrual and cashflow [Tier:
        PRO, Credits: 5]
      operationId: float_coupon_period_quantlib_core_periods_float_coupon_post
      requestBody:
        content:
          application/json:
            schema:
              type: object
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                type: object
      security:
        - APIKeyHeader: []
components:
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        API key for authentication. Get your key at
        https://api.fincept.in/auth/register

````